### Method

# Gtk TextView get_visible_offset

since: 4.18

#### Declaration [src]

    void
    gtk_text_view_get_visible_offset (
      GtkTextView* text_view,
      double* x_offset,
      double* y_offset
    )

#### Description [src]

Gets the X,Y offset in buffer coordinates of the top-left corner of the textview’s text contents.

This allows for more-precise positioning than what is provided by `gtk_text_view_get_visible_rect()` as you can discover what device pixel is being quantized for text positioning.

You might want this when making ulterior widgets align with quantized device pixels of the textview contents such as line numbers.

Available since: 4.18

#### Parameters

`x_offset`

  Type: `double*`

  A location for the X offset.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

`y_offset`

  Type: `double*`

  A location for the Y offset.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.